ChangeSet 1.1371.759.7, 2004/04/23 14:50:19-07:00, greg@kroah.com

[PATCH] USB: fix devio compiler warnings created by previous patch.


 drivers/usb/core/devio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri May 14 15:34:18 2004
+++ b/drivers/usb/core/devio.c	Fri May 14 15:34:18 2004
@@ -875,7 +875,7 @@
 			return -EINVAL;
 		if (!(ep_desc = usb_epnum_to_ep_desc(ps->dev, uurb.endpoint)))
 			return -ENOENT;
-		interval = 1 << min ((u8)15, ep_desc->bInterval - 1);
+		interval = 1 << min (15, ep_desc->bInterval - 1);
 		isofrmlen = sizeof(struct usbdevfs_iso_packet_desc) * uurb.number_of_packets;
 		if (!(isopkt = kmalloc(isofrmlen, GFP_KERNEL)))
 			return -ENOMEM;
@@ -902,7 +902,7 @@
 		if (!(ep_desc = usb_epnum_to_ep_desc(ps->dev, uurb.endpoint)))
 			return -ENOENT;
 		if (ps->dev->speed == USB_SPEED_HIGH)
-			interval = 1 << min ((u8)15, ep_desc->bInterval - 1);
+			interval = 1 << min (15, ep_desc->bInterval - 1);
 		else
 			interval = ep_desc->bInterval;
 		if (uurb.buffer_length > 16384)
